## dovecot 2.0.13

=== debian/changelog ===
dovecot (1:2.0.13-1ubuntu3.2) oneiric-security; urgency=low

  * SECURITY UPDATE: Incorrect cert Common Name verification when proxying
    - debian/patches/CVE-2011-4318.patch: correctly validate Common Name
      when a hostname is specified in src/login-common/{login-proxy.c,
      ssl-proxy.*,ssl-proxy-openssl.c}.
    - CVE-2011-4318

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Nov 2011 11:00:23 -0500

dovecot (1:2.0.13-1ubuntu3.1) oneiric-proposed; urgency=low

  * Fix postfix->dovecot SASL authentication with dovecot 2.x (LP: #874135):
    - d/01-mail-stack-delivery.conf: Include revised authentication
      configuration for dovecot 2.x.
    - d/01-mail-stack-delivery.auth: Dropped - no longer required.
    - d/rules: Updated to remove 01-mail-stack-delivery.auth.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Oct 2011 13:16:53 +0100

dovecot (1:2.0.13-1ubuntu3) oneiric; urgency=medium

  [ Ben Howard ]
  * debian/dovecot-common.dovecot.upstart: changed start to runlevel [2345]
    (LP: #820685)

  [ James Page ]
  * Make mail-stack-delivery work with new version of dovecot (LP: #860336):
    - debian/control: Added dovecot-managesieved to mail-stack-delivery Depends.
    - debian/01-mail-stack-delivery.conf: Renamed mangesieve protocol -> sieve. 
      Tidied up obsolete and changed configuration stanzas.
    - debian/mail-stack-delivery.postinst: drop -n flag from dovecot deliver 
      command in postfix configuration.

 -- Ben Howard <ben.howard@canonical.com>  Mon, 19 Sep 2011 14:44:56 -0600

dovecot (1:2.0.13-1ubuntu2) oneiric; urgency=low

  * debian/dovecot-common.postinst: fix ssl cert typos that prevent
    certs from being generated (LP: #792557)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 03 Jun 2011 14:02:53 -0700

dovecot (1:2.0.13-1ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable, remaining changes: 
    + Add mail-stack-delivery as per server-maverick-mail-integration spec:
      - Update debian/rules
      - Convert existing package to a dummy package and new binary in debian/control.
      - Update maintainer scripts.
      - Move previously installed backups and config files to a new package namespace in preinst.
      - Add new debian/mail-stack-delivery.prerm to handle downgrades.
      - Rename debian/dovecot-postfix.* to debian/mail-stack-delivery.*
    + Use Snakeoil SSL certifications by default:
      - debian/control: Depend on ssl-cert.
      - debian/dovecot-common.postinst: Relax grep for SSL_* a bit.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - Create debian/dovecot-common.ufw.profile.
      - debian/rules: install profile
      - debian/control: suggest ufw.
    + debian/{control,rules}: enable PIE hardening.
    + debian/dovecot-common.dirs: Added usr/share/doc/dovecot-common
    + Add apport hook:
      - debian/rules, debian/source_dovecot.py
    + Add upstart job:
      - debian/rules, debian/dovecot-common.dovecot.upstart, debian/control,
        debian/dovecot-common.dirs, dovecot-imapd.{postrm, postinst, prerm},
        debian/dovecot-pop3d.{postinst, postrm, prerm}. mail-stack-deliver.postinst:
        Convert init script to upstart. Apart of the server-maverick-upstart-conversion
        specification.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Jun 2011 13:32:07 -0400

dovecot (1:2.0.13-1) unstable; urgency=high

  [ Marco Nenciarini ]
  * [8af9e4d] New upstream version 2.0.13:
      + Added "doveadm index" command to add unindexed messages into
        index/cache. If full text search is enabled, it also adds unindexed
        messages to the fts database.
      + added "doveadm director dump" command.
      + pop3: Added support for showing messages in "POP3 order", which can
        be different from IMAP message order. This can be useful for
        migrations from other servers. Implemented it for Maildir as 'O'
        field in dovecot-uidlist.
      - doveconf: Fixed a wrong "subsection has ssl=yes" warning.
      - mdbox purge: Fixed wrong warning about corrupted extrefs.
      - sdbox: INBOX GUID changed when INBOX was autocreated, leading to
        trouble with dsync.
      - script-login binary wasn't actually dropping privileges to the
        user/group/chroot specified by its service settings.
      - Fixed potential crashes and other problems when parsing header names
        that contained NUL characters. (CVE-2011-1929)
    (Closes: #627443)

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 21 May 2011 23:58:06 +0200

dovecot (1:2.0.12-1ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable, remaining changes are:
    + Add mail-stack-delivery as per server-maverick-mail-integration spec:
      - Update debian/rules
      - Convert existing package to a dummy package and new binary in debian/control.
      - Update maintainer scripts.
      - Move previously installed backups and config files to a new package namespace in preinst.
      - Add new debian/mail-stack-delivery.prerm to handle downgrades.
      - Rename debian/dovecot-postfix.* to debian/mail-stack-delivery.*
    + Use Snakeoil SSL certifications by default:
      - debian/control: Depend on ssl-cert.
      - debian/dovecot-common.postinst: Relax grep for SSL_* a bit.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - Create debian/dovecot-common.ufw.profile.
      - debian/rules: install profile
      - debian/control: suggest ufw.
    + debian/{control,rules}: enable PIE hardening.
    + debian/dovecot-common.dirs: Added usr/share/doc/dovecot-common
    + Add apport hook:
      - debian/rules, debian/source_dovecot.py
    + Add upstart job:
      - debian/rules, debian/dovecot-common.dovecot.upstart, debian/control,
        debian/dovecot-common.dirs, dovecot-imapd.{postrm, postinst, prerm},
        debian/dovecot-pop3d.{postinst, postrm, prerm}. mail-stack-deliver.postinst:
        Convert init script to upstart. Apart of the server-maverick-upstart-conversion

