=== debian/control ===
Source: dovecot
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>, Fabio Tranchitella <kobold@debian.org>, Joel Johnson <mrjoel@lixil.net>, Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 5.0.0), pkg-config, libssl-dev, libpam0g-dev, libldap2-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libsasl2-dev, zlib1g-dev, libkrb5-dev, drac-dev (>= 1.12-5), libbz2-dev, libdb-dev, hardening-wrapper
Standards-Version: 3.9.2
Homepage: http://dovecot.org/
Vcs-Git: git://git.debian.org/git/collab-maint/dovecot.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dovecot.git

Package: dovecot-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020), ssl-cert (>= 1.0-11ubuntu1), lsb-base (>= 3.2-12ubuntu3)
Suggests: ntp, ufw
Recommends: ntpdate
Replaces: dovecot
Description: secure mail server that supports mbox, maildir, dbox and mdbox mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the files used by the various dovecot servers,
 the Dovecot LDA (dovecot-lda) and Pigeonhole Sieve support.

Package: dovecot-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version})
Replaces: dovecot-common (<< 1.1.11-1)
Breaks: dovecot-common (<< 1.1.11-1)
Description: header files for the dovecot mail server
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains header files needed to compile plugins for the dovecot
 mail server.

Package: dovecot-imapd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version}), ucf (>= 2.0020)
Provides: imap-server
Replaces: imap-server, dovecot-common
Description: secure IMAP server that supports mbox, maildir, dbox and mdbox mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot IMAP server.

Package: dovecot-pop3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version}), ucf (>= 2.0020)
Provides: pop3-server
Replaces: pop3-server, dovecot-common
Description: secure POP3 server that supports mbox, maildir, dbox and mdbox mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot POP3 server.

Package: dovecot-lmtpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version}), ucf (>= 2.0020)
Replaces: dovecot-common
Description: secure LMTP server for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot LMTP server.

Package: dovecot-managesieved
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version}), dovecot-sieve (= ${binary:Version}), ucf (>= 2.0020)
Replaces: dovecot-common
Description: secure ManageSieve server for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot ManageSieve server.

Package: dovecot-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version})
Description: PostgreSQL support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides PostgreSQL support for Dovecot.

Package: dovecot-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version})
Description: MySQL support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides MySQL support for Dovecot.

Package: dovecot-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version})
Description: SQLite support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides SQLite support for Dovecot.

Package: dovecot-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version}), ucf (>= 2.0020)
Description: LDAP support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides LDAP support for Dovecot.

Package: dovecot-gssapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version})
Description: GSSAPI authentication support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides GSSAPI authentication support for Dovecot.

Package: dovecot-sieve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version}), ucf (>= 2.0020)
Description: sieve filters support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides sieve filters support for Dovecot.

Package: dovecot-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, dovecot-common (= ${binary:Version})
Description: debug symbols for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains debug symbols for Dovecot.

Package: mail-stack-delivery
Architecture: all
Depends: dovecot-common, dovecot-imapd, dovecot-pop3d, dovecot-managesieved,
 postfix, ${misc:Depends}
Replaces: dovecot-postfix (<< 1:1.2.12-0ubuntu1~)
Description: mail server delivery agent stack provided by Ubuntu server team
 Ubuntu's mail stack provides fully operational delivery with
 safe defaults and additional options. Out of the box it supports IMAP,
 POP3 and SMTP services with SASL authentication and Maildir as default
 storage engine.
 .
 This package contains configuration files for dovecot.
 .
 This package modifies postfix's configuration to integrate with dovecot

Package: dovecot-postfix
Architecture: all
Depends: ${misc:Depends}, mail-stack-delivery
Description: mail server delivery agent stack provided by Ubuntu server team
 Ubuntu's mail stack provides fully operational delivery agent with
 safe defaults and additional options. Out of the box it supports IMAP,
 POP3 and SMTP services with SASL authentication and Maildir as default
 storage engine.
