## dovecot 2.0.15

=== debian/changelog ===
dovecot (1:2.0.15-1) unstable; urgency=low

  * [a22575a] New upstream version 2.0.15: (Closes: #642045)
      + doveadm altmove: Added -r parameter to move mails back to primary
        storage.
      - v2.0.14: Index reading could have eaten a lot of memory in some
        situations
      - doveadm index no longer affects future caching decisions
      - mbox: Fixed crash during mail delivery when mailbox didn't yet have
        GUID assigned to it.
      - zlib+mbox: Fetching last message from compressed mailboxes crashed.
      - lib-sql: Fixed load balancing and error
  * [8ce5abc] Update pigeonhole to release 0.2.4
  * [87658d2] Add dovecot-solr to dovecot-core's Suggests line.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 19 Sep 2011 19:26:48 +0200

dovecot (1:2.0.14-3) unstable; urgency=low

  * [f37a9ec] Enable solr full text search plugin. (LP: #620959)
  * [cdd8b84] Build dovecot-common as architecture-all package.
  * [af90444] Fix mail_plugin_dir default value in conf.d/10-mail.conf
    (Closes: #624294)
  * [61347cb] Bump debhelper build-depends to (>= 7.2.3~) because we use
    dh_bugfiles.
  * [4b757b6] Fix wrong configuration files path in sieve manpages.

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 16 Sep 2011 02:26:21 +0200

dovecot (1:2.0.14-2) unstable; urgency=low

  [ Marco Nenciarini ]
  * [a6896d6] Rename dovecot-common to dovecot-core. (Closes: #624835)
  * [c36ca96] Manage protocols during package configuration and
    deconfiguration phases.
  * [599b55b] Update pigeonhole to release 0.2.3.
  * [c654db0] Add a bug-script which will append doveconf -n output to bug
    reports.
  * [5270323] Add notes about upgrading from 1.2 to README.Debian.
    (Closes: #635351)
  * [5cd77a3] Add build-arch and build-indep target to debian/rules as
    required by lintian.
  * [be05d2a] Avoid ucf question when upgrading from squeeze and the only
    difference in dovecot.conf is at the "protocols" line.
  * [3c73782] Remove ucf backups during purge.
  * [3ccf508] Make /etc/dovecot/*.ext readable by dovecot group members.
    (Closes: #639005)
  * [665bcc5] Use -c ${CONF} when calling doveconf to determine PIDBASE.
    Thanks to Jonathan Hall (Closes: #627794)
  * [325042c] Purge obsolete unmodified config files from /etc.
    (Closes: #629397)
  * [a9b9afb] Modified init script to report failures. (Closes: #629654)
  * [d4622fd] Make dovecot-core suggesting all other packages containing
    additional features.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 15 Sep 2011 19:43:55 +0200

dovecot (1:2.0.14-1) unstable; urgency=low

  * [50a947e] New upstream version 2.0.14: (Closes: #640143)
      + doveadm: Added support for running mail commands by proxying to
        another doveadm server.
      + Added "doveadm proxy list" and "doveadm proxy kick" commands to
        list/kick proxy connections (via a new "ipc" service).
      + Added "doveadm director move" to assign user from one server to
        another, killing any existing connections.
      + Added "doveadm director ring status" command.
      + userdb extra fields can now return name+=value to append to an
        existing name, e.g. "mail_plugins+= quota".
      - script-login attempted an unnecessary config lookup, which usually
        failed with "Permission denied".
      - lmtp: Fixed parsing quoted strings with spaces as local-part for
        MAIL FROM and RCPT TO.
      - imap: FETCH BODY[HEADER.FIELDS (..)] may have crashed or not
        returned all data sometimes.
      - ldap: Fixed random assert-crashing with with sasl_bind=yes.
      - Fixes to handling mail chroots
      - Fixed renaming mailboxes under different parent with FS layout when
        using separate ALT, INDEX or CONTROL paths.
      - zlib: Fixed reading concatenated .gz files.
  * [0297425] Use xz compression for dbg packages.
  * [4464ccf] Support parallel builds in debian/rules
  * [19667f0] Acknowledge NMU 1:2.0.13-1.1.
    Thanks to Luk Claes

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 06 Sep 2011 23:18:46 +0200

dovecot (1:2.0.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621297).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 12:31:28 +0200
