=== debian/control ===
Source: dovecot
Section: mail
Priority: optional
Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>, Fabio Tranchitella <kobold@debian.org>, Joel Johnson <mrjoel@lixil.net>, Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 7.2.3~), pkg-config, libssl-dev, libpam0g-dev, libldap2-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libsasl2-dev, zlib1g-dev, libkrb5-dev, drac-dev (>= 1.12-5), libbz2-dev, libdb-dev, libcurl4-gnutls-dev, libexpat-dev
Standards-Version: 3.9.2
Homepage: http://dovecot.org/
Vcs-Git: git://git.debian.org/git/collab-maint/dovecot.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dovecot.git

Package: dovecot-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core
Recommends: dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap
Suggests: dovecot-managesieved
Description: Transitional package for dovecot
 This is a transitional package for dovecot, and can be safely removed
 after the installation is complete.

Package: dovecot-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020)
Suggests: ntp, dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap, dovecot-imapd, dovecot-pop3d, dovecot-lmtpd, dovecot-managesieved, dovecot-solr
Provides: dovecot-common
Replaces: dovecot-common (<< 1:2.0.14-2~)
Breaks: dovecot-common (<< 1:2.0.14-2~)
Description: secure mail server that supports mbox, maildir, dbox and mdbox mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot main server and its command line utility.

Package: dovecot-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version})
Replaces: dovecot-common (<< 1:2.0.14-2~)
Breaks: dovecot-common (<< 1:2.0.14-2~)
Description: header files for the dovecot mail server
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains header files needed to compile plugins for the dovecot
 mail server.

Package: dovecot-imapd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
Provides: imap-server
Description: secure IMAP server that supports mbox, maildir, dbox and mdbox mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot IMAP server.

Package: dovecot-pop3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
Provides: pop3-server
Description: secure POP3 server that supports mbox, maildir, dbox and mdbox mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot POP3 server.

Package: dovecot-lmtpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
Replaces: dovecot-common (<< 1:2.0.14-2~)
Breaks: dovecot-common (<< 1:2.0.14-2~)
Description: secure LMTP server for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot LMTP server.

Package: dovecot-managesieved
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), dovecot-sieve (= ${binary:Version}), ucf (>= 2.0020)
Replaces: dovecot-common (<< 1:2.0.14-2~)
Breaks: dovecot-common (<< 1:2.0.14-2~)
Description: secure ManageSieve server for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains the dovecot ManageSieve server.

Package: dovecot-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version})
Description: PostgreSQL support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides PostgreSQL support for Dovecot.

Package: dovecot-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version})
Description: MySQL support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides MySQL support for Dovecot.

Package: dovecot-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version})
Description: SQLite support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides SQLite support for Dovecot.

Package: dovecot-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
Description: LDAP support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides LDAP support for Dovecot.

Package: dovecot-gssapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version})
Description: GSSAPI authentication support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides GSSAPI authentication support for Dovecot.

Package: dovecot-sieve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
Description: sieve filters support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides sieve filters support for Dovecot.

Package: dovecot-solr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version})
Description: Solr full text search support for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package provides Solr full text search support for Dovecot.

Package: dovecot-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, dovecot-core (= ${binary:Version})
Description: debug symbols for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify that
 all data is valid, making it nearly impossible to crash. It should also be
 pretty fast, extensible, and portable.
 .
 This package contains debug symbols for Dovecot.
