## dovecot 2.0.18

=== debian/changelog ===
dovecot (1:2.0.18-1) unstable; urgency=low

  * [85ae320] Imported Upstream version 2.0.18
  * [9cfd1da] Upped standards version to 3.9.3
  * [afb4164] Patch to dovecot-core/postinst so that permissions of symlinked
    certificates aren't modified. (Closes: #646508)
    Thanks Michael Kuhn.
  * [bf642ee] Patch to enable hardened build flags.  (Closes: #653530)
    Thanks Moritz Muehlenhoff.
  * [00b0d0c] Updated pigeonhole to 0.2.6

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 09 Mar 2012 00:55:13 -0500
