=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,15 @@
 config-stamp: configure
 	dh_testdir
 	# Dovecot
-	sh configure --with-ldap=plugin \
+	$(shell dpkg-buildflags --export=configure) sh configure \
+	            --with-ldap=plugin \
 	            --with-ssl=openssl \
 	            --with-sql=plugin \
 	            --with-pgsql \
 	            --with-mysql \
 	            --with-sqlite \
 	            --with-gssapi=plugin \
-		    --with-solr \
+		        --with-solr \
 	            --with-ioloop=best \
 	            --host=$(DEB_HOST_GNU_TYPE) \
 	            --build=$(DEB_BUILD_GNU_TYPE) \
@@ -45,7 +46,10 @@
 	            --disable-static
 	$(MAKE) dovecot-config
 	# Pigeonhole
-	(cd $(PIGEONHOLE_DIR)/ && sh configure --with-dovecot=../ \
+	(cd $(PIGEONHOLE_DIR)/ && \
+	    touch stamp.h.in && \
+	    $(shell dpkg-buildflags --export=configure) sh configure \
+	    --with-dovecot=../ \
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--libexecdir=\$${prefix}/lib \
@@ -155,4 +159,3 @@
 	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/lib??_fts_solr_* $(CURDIR)/debian/dovecot-solr/usr/lib/dovecot/modules
 
 	# dev
-	mv $(CURDIR)/debian/dovecot-core/usr/include/* $(CURDIR)/debian/dovecot-dev/usr/include
